const WebSocket = require('ws');
const connectedClients = [];
// WebSocket sunucusu ve istemcisi için aynı dosyada
const wss = new WebSocket.Server({ port: 5001 });

// Sunucu kısmı
wss.on('connection', function connection(ws) {
  console.log('New client connected');
  connectedClients.push(ws);

  ws.on('message', function incoming(message) {
    console.log('Received from client: %s', message);
  });

  ws.send('Hello, client!'); // İstemciye hoş geldin mesajı gönder
});

// İstemci kısmı
const ws = new WebSocket('ws://127.0.0.1:5001');

ws.on('open', function open() {
  console.log('Connected to WebSocket server');
  
  ws.send('Hello, server!'); // Sunucuya bir mesaj gönder
});

ws.on('message', function incoming(message) {
  console.log('Received from server: %s', message); // Sunucudan gelen mesajı konsola yazdır
});

var say=0;
var tetik=1;

setInterval(() => {
    var sendJson = {"nereye":"outespc","cihaz_id":"1001","out": `out${say+1}`,"out_value":tetik,"gecikme":0}
    var sendJson1=JSON.stringify(sendJson)
    connectedClients.forEach(client => {
        client.send(sendJson1);
      });
    say+=1;
            
    if (say>3){
        say=0
        if (tetik==0){
            tetik=1;
        } else{
            tetik=0;
        }
        }
// runs every 2 seconds
  
}, 2000)


//